Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.0
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.util.slurpersupport
Class FilteredAttributes

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          groovy.util.slurpersupport.GPathResult
              groovy.util.slurpersupport.NodeChildren
                  groovy.util.slurpersupport.Attributes
                      groovy.util.slurpersupport.FilteredAttributes

    class FilteredAttributes
    extends Attributes

Lazy evaluated representation of nodes filtered by attributes.

author:
  John Wilson

Field Summary

Fields inherited from class GPathResult
name, namespaceMap, namespacePrefix, namespaceTagHints, parent

Constructor Summary
`FilteredAttributes(GPathResult parent, Closure closure, Map namespaceTagHints)`

Method Summary
`Iterator` | `nodeIterator()`

Methods inherited from class Attributes
build, childNodes, findAll, iterator, list, name, nodeIterator, parents, text, writeTo

Methods inherited from class NodeChildren
appendNode, build, childNodes, find, findAll, iterator, nodeIterator, parents, replaceBody, replaceNode, size, text, writeTo

Methods inherited from class GPathResult
appendNode, breadthFirst, childNodes, children, declareNamespace, depthFirst, equals, find, findAll, getAt, getAt, getBody, getProperty, isEmpty, iterator, leftShift, list, lookupNamespace, name, nodeIterator, parent, parents, plus, putAt, replaceBody, replaceNode, setMetaClass, setProperty, size, text, toBigDecimal, toBigInteger, toBoolean, toDouble, toFloat, toInteger, toLong, toString, toURI, toURL

Methods inherited from class GroovyObjectSupport
getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### FilteredAttributes

    public FilteredAttributes(GPathResult parent, Closure closure, Map namespaceTagHints)

Method Detail

### nodeIterator

    public Iterator nodeIterator()

Copyright © 2003-2009 The Codehaus. All rights reserved.